from nz.org.riskscape.engine.types import Types

ID = 'multiply-values'
DESCRIPTION = "Multiplies the values of a pair of values of type feature"
HAZARD_TYPE_ID = 'feature'
ASSET_TYPE_ID = 'feature'
LOSS_TYPE = Types.DECIMAL

def fragility_function(asset, hazard):
  return asset.value['value'].multiply(hazard.value['value'])
